
use "$intermediate/adhd_cells_countygrade", clear


capture est drop _all

capture program drop did
**************
program define did
**************  
syntax , title(string) depvar(varlist) spec(string) [weight(string)] g(string) t(varlist)
*Overall DID
sum `depvar' if post == 1 & cohort2 == 0
scalar overall = r(mean)
ppmlhdfe `depvar' i.cohort2Xpost well_child_visit_cum eval_rate_cum  white black hispanic asian medicaid private [w=cellsize], absorb(i.monthnum i.cohort2 i.county_fips i.grade) cluster(countycohort)

est store est1`g'u, title(`t')

nlcom (Pandemic: exp(_b[1.cohort2Xpost])-1), post
est store est1`g't, title(`t')


*By school closing

ppmlhdfe `depvar'  i.cohort2Xpost##i.open_group well_child_visit_cum eval_rate_cum  white black hispanic asian medicaid private [w=cellsize], absorb(i.monthnum#i.open_group i.cohort2#i.open_group i.county_fips i.grade) cluster(countycohort)

est store est3`g'u, title(`t')

nlcom (LowOpening: exp(_b[1.cohort2Xpost])-1) (MediumOpening: exp(_b[1.cohort2Xpost] + _b[1.cohort2Xpost#2.open_group])-1) (HighOpening: exp(_b[1.cohort2Xpost] + _b[1.cohort2Xpost#3.open_group])-1), post
est store est3`g't, title(`t')

**************
end
**************	

local i=1
foreach var of varlist inat_first_cum anyhyper_first_cum other_first_cum {
preserve
keep if male == 1 
did, title("Elementary School Boys") depvar(`var') spec(ppml) weight([w=cellsize]) g("b`i'") t(`var')
restore 

preserve
keep if male == 0 
did, title("Elementary School Boys") depvar(`var') spec(ppml) weight([w=cellsize]) g("g`i'") t(`var')
restore 
local ++i
}

esttab est1b1u est3b1u est1b2u est3b2u est1b3u est3b3u  ///
using "$output/tableB9.tex", se star(* 0.10 ** 0.05 *** .01)  interaction(" X ") noomitted nobase drop(_cons well_child_visit_cum eval_rate_cum white black hispanic  medicaid private) mtitles label booktabs replace 


esttab est1b1t est3b1t est1b2t est3b2t est1b3t est3b3t ///
using "$output/tableB9_transformed.tex", se star(* 0.10 ** 0.05 *** .01)  interaction(" X ") noomitted nobase mtitles label booktabs  replace 


esttab est1g1u est3g1u est1g2u est3g2u est1g3u est3g3u  ///
using "$output/tableB10.tex", se star(* 0.10 ** 0.05 *** .01)  interaction(" X ") noomitted nobase drop(_cons well_child_visit_cum eval_rate_cum white black hispanic  medicaid private) mtitles label booktabs replace   


esttab est1g1t est3g1t est1g2t est3g2t est1g3t est3g3t ///
using "$output/tableB10_transformed.tex", se star(* 0.10 ** 0.05 *** .01)  interaction(" X ") noomitted nobase mtitles label booktabs  replace 
