/**** Event Study RX, by State School Openness ****/

use "$intermediate/rx_cells", clear
keep if lookback==0
keep if anyrx_lb==0

*set up event time variables with -1 as omitted time
gen exp = monthnum-14 if cohort==2
recode exp (.=-1)
char exp[omit] -1
xi i.exp, pref(_T)

capture program drop estudybyopening
**************
program define estudybyopening
**************  
syntax , title(string) depvar(varlist) absorbvars(string) [weight(string)] controls(varlist)

foreach num of numlist 1/6 8/19  {
gen _TLC_`num' = _Texp_`num'*openlow
gen _TMC_`num' = _Texp_`num'*openmed
gen _THC_`num' = _Texp_`num'*openhigh
}

capture mat drop _all
mat month = -7\-6\-5\-4\-3\-2\0\1\2\3\4\5\6\7\8\9\10\11\-7\-6\-5\-4\-3\-2\0\1\2\3\4\5\6\7\8\9\10\11\-7\-6\-5\-4\-3\-2\0\1\2\3\4\5\6\7\8\9\10\11\.\.\.
mat coln month = month


ppmlhdfe `depvar' _TLC* _TMC* _THC* `controls' `weight', absorb(`absorbvars') cluster(statecohort) eform

mat event = r(table)'
mat event = event , month 

capture drop _all
svmat event, names(col) 


replace b = b-1
replace ll = ll-1
replace ul = ul-1
gen ll_transformed = ll
gen ul_transformed = ul
replace ll = b-crit*se
replace ul = b+crit*se


gen group = 1 in 1/18
replace group = 2 in 19/36
replace group = 3 in 37/54

drop if month == .

set obs 57
replace b = 0 if month == .
replace month = -1 if month == .
replace group = 1 in 55
replace group = 2 in 56
replace group = 3 in 57

sort group month

label define eventmonth -7 "Aug" -6 "Sept" -5 "Oct" -4 "Nov" -3 "Dec" -2 "Jan" -1 "Feb" 0 "Mar" 1 "Apr" 2 "May" 3 "Jun" 4 "Jul" 5 "Aug" 6 "Sep" 7 "Oct" 8 "Nov" 9 "Dec" 10 "Jan" 11 "Feb", replace
lab val month eventmonth 

gen eventmonth = month-.2 if group==1
replace eventmonth = month if group==2
replace eventmonth = month+.2 if group==3

lab val eventmonth eventmonth


tw (rspike ll ul eventmonth  if group==1, lcolor(gs12)) (scatter b eventmonth if group==1, mcolor(black) msymbol(circle_hollow)) ///
(rspike ll ul eventmonth  if group==2, lcolor(gs12)) (scatter b eventmonth if group==2, mcolor(black) msymbol(diamond_hollow)) ///
(rspike ll ul eventmonth  if group==3, lcolor(gs12)) (scatter b eventmonth if group==3, mcolor(black) msymbol(triangle_hollow)), ///
yline(0) xlabel(-7(1)11, val angle(45))  xtitle(Month) title(`title') subtitle("Percent Change in Cumulative New Diagnosis Rate", position(11) span) ///
legend(order(2 "Low Opening States" 4 "Medium Opening States" 6 "High Opening States") rows(1))

**************
end
**************	


preserve
keep if male == 1
estudybyopening, title("Boys") depvar(rx_new_cum) absorbvars(i.monthnum#i.open_group i.cohort2#i.open_group i.statenum i.grade i.race_cat) weight([w=cellsize]) controls(well_child_visit_cum eval_rate_cum )
graph rename boys, replace
restore

preserve
keep if male == 0
estudybyopening, title("Girls") depvar(rx_new_cum) absorbvars(i.monthnum#i.open_group i.cohort2#i.open_group i.statenum i.grade i.race_cat) weight([w=cellsize]) controls(well_child_visit_cum eval_rate_cum )
graph rename girls, replace
restore

grc1leg  boys girls, ycommon
graph export "$output/figureB3.eps", as(eps)  replace 
