use "$intermediate/adhd_cells", clear
*drop lookback period
keep if lookback==0
*keep only ADHD naive
keep if anyadhd_lb==0


capture est drop _all

capture program drop did
**************
program define did
**************  
syntax , title(string) depvar(varlist) spec(string) [weight(string)] g(string)
*Overall DID
ppmlhdfe `depvar' i.cohort2Xpost well_child_visit_cum eval_rate_cum  `weight', absorb(i.monthnum i.cohort2 i.statenum i.grade i.race_cat) cluster(statecohort) 
est store est1`g'u, title(`g')

nlcom (Pandemic: exp(_b[1.cohort2Xpost])-1), post
est store est1`g't, title(`g')

*By race
ppmlhdfe `depvar'  i.cohort2Xpost##ib4.race_cat well_child_visit_cum eval_rate_cum  `weight', absorb(i.monthnum#i.race_cat i.cohort2#i.race_cat i.statenum i.grade) cluster(statecohort) 
est store est2`g'u, title(`g')

nlcom (White: exp(_b[1.cohort2Xpost])-1) (Asian: exp(_b[1.cohort2Xpost] + _b[1.cohort2Xpost#1.race_cat])-1) (Black: exp(_b[1.cohort2Xpost] + _b[1.cohort2Xpost#2.race_cat])-1) (Hispanic: exp(_b[1.cohort2Xpost] + _b[1.cohort2Xpost#3.race_cat])-1), post
est store est2`g't, title(`g')

*By school openness
ppmlhdfe `depvar'  i.cohort2Xpost##i.open_group well_child_visit_cum eval_rate_cum  `weight', absorb(i.monthnum#i.open_group i.cohort2#i.open_group i.statenum i.grade i.race_cat) cluster(statecohort) 
est store est3`g'u, title(`g')

nlcom (LowOpening: exp(_b[1.cohort2Xpost])-1) (MediumOpening: exp(_b[1.cohort2Xpost] + _b[1.cohort2Xpost#2.open_group])-1) (HighOpening: exp(_b[1.cohort2Xpost] + _b[1.cohort2Xpost#3.open_group])-1), post
est store est3`g't, title(`g')

*By school stability
ppmlhdfe `depvar'  i.cohort2Xpost##i.stable_group well_child_visit_cum eval_rate_cum  `weight', absorb(i.monthnum#i.stable_group i.cohort2#i.stable_group i.statenum i.grade i.race_cat) cluster(statecohort) 
est store est4`g'u, title(`g') 

nlcom (LowStability: exp(_b[1.cohort2Xpost])-1) (MediumStability: exp(_b[1.cohort2Xpost] + _b[1.cohort2Xpost#2.stable_group])-1) (HighStability: exp(_b[1.cohort2Xpost] + _b[1.cohort2Xpost#3.stable_group])-1), post
est store est4`g't, title(`g')


**************
end
**************	

preserve
keep if male == 1 
did, title("Elementary School Boys") depvar(adhd_new_cum) spec(ppml) weight([w=cellsize]) g("boys")
restore 

preserve
keep if male == 0 
did, title("Elementary School Boys") depvar(adhd_new_cum) spec(ppml) weight([w=cellsize]) g("girls")
restore 

esttab est1boysu est2boysu est1girlsu est2girlsu using "$output/table2.tex", se star(* 0.10 ** 0.05 *** .01)  interaction(" X ") noomitted nobase drop(well_child_visit_cum eval_rate_cum _cons) mtitles label booktabs replace 

esttab est1boyst est2boyst est1girlst est2girlst using "$output/table2_transformed.tex", se star(* 0.10 ** 0.05 *** .01)  interaction(" X ") noomitted nobase  mtitles label booktabs replace 

esttab est3boysu est3girlsu using "$output/table3.tex", se star(* 0.10 ** 0.05 *** .01)  interaction(" X ") noomitted nobase drop(well_child_visit_cum eval_rate_cum _cons) mtitles label booktabs replace 

esttab est3boyst est3girlst using "$output/table3_transformed.tex", se star(* 0.10 ** 0.05 *** .01)  interaction(" X ") noomitted nobase  mtitles label booktabs replace 

esttab est4boysu est4girlsu using "$output/table4.tex", se star(* 0.10 ** 0.05 *** .01)  interaction(" X ") noomitted nobase drop(well_child_visit_cum eval_rate_cum _cons) mtitles label booktabs replace 

esttab est4boyst est4girlst using "$output/table4_transformed.tex", se star(* 0.10 ** 0.05 *** .01)  interaction(" X ") noomitted nobase  mtitles label booktabs replace 

 
 
 
