## Intersect Shapefiles - Vaccine spillover project

# Note: Before running this code, open the Terminal first and run the following lines:
#  module load geos
#  module load gdal
#  module load udunits
#  module load proj
#  module load rstudio
#  module swap r r/3.6.0
#  rstudio
#----------------------------------------------------------------------
# Install and load packages.

if (!require("pacman")) {
  install.packages("pacman")
  library(pacman)
}
p_load(data.table, collapse, ggplot2, fixest, stringr)
#install.packages("rgeos")
#install.packages("rgdal")
#install.packages("PROJ")
#install.packages("udunits2")
#remotes::install_version("s2", "1.0.6")
#install.packages("sf")
library(sf)
#--------------------------------------------------------
rm(list=ls())
setwd("schools/cleaned_schools")

## 1) Zip code and census tracts

zip <- st_read("schools/Indiana Schools/Shapefiles/zip_US2018/zip_shp.shp")
zip$zipcode <- as.numeric(zip$ZCTA5CE10)
zip <- subset(zip, zipcode >= 46001 & zipcode <= 47997)             # Keep only Indiana zip codes
tract <- st_read("schools/Indiana Schools/Shapefiles/census_tracts/tl_2019_18_tract.shp")

# Intersect layers
tract1 <- st_transform(tract,"+proj=longlat +datum=WGS84")    # Fix coordinates
rm(tract)
st_crs(tract1) == st_crs(zip)

ziptract <- st_intersection(zip,tract1)
ziptract <- st_make_valid(ziptract)          # Make an invalid geometry valid

# Compute area of new geographies
ziptract$area <- st_area(ziptract)/1000000

## 2) Zip-CensusTracts and School Boundaries

primary <- st_read("schools/Indiana Schools/Shapefiles/SABS_1516_SchoolLevels/primary_shp.shp")
primary <-primary[primary$stAbbrev == "IN",]                      # keep only Indiana schools
st_crs(primary)==st_crs(ziptract)

# Intersect layers

drop <- c("geometry","addmap")

# 1) Primary
primary <- st_make_valid(primary)
primary_int <- st_intersection(ziptract,primary)
primary_int$int_area <- st_area(primary_int)/1000000
primary_int <- st_set_geometry(primary_int,NULL)
primary_int <- primary_int[,!(names(primary_int) %in% drop)]
write.csv(primary_int,file="primary_int.csv",row.names = FALSE)